Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4983 - under certain conditions tripwire produces a segmentation fault
Summary: under certain conditions tripwire produces a segmentation fault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: tripwire
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-08 14:26 UTC by arto.selonen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-13 00:40:30 UTC


Attachments (Terms of Use)

Description arto.selonen 1999-09-08 14:26:21 UTC
With certain tw.config files tripwire produces a
segmentation fault message. This happens right after
phase 3 has started. It will produce the same result
with -initialize, -update, and without arguments.

I've briefly looked into the src.rpm code, but only to
realize that it is probably a leaky pointer *somewhere*.
This, unfortunately, means that tripwire is not working
correctly, and thus renders it unreliable.

(I can produce the fault at will with one system/config,
if anybody cares to look further into this).

Comment 1 Tim Powers 1999-09-25 02:25:59 UTC
Try using the tripwire located in
ftp://rawhide.redhat.com/rawhide/powertools

Please reopen this bug if you conltinue to have problems with
tripwire.

Tim


Note You need to log in before you can comment on or make changes to this bug.